import { Editor } from '../../editor/editor.js';
export declare class Stepper {
    protected editor: Editor;
    developmentMode: boolean;
    mappings?: Map<number, number>;
    /**
     * Creates a relationship between an element in the app and its original step
     * This can be used to make sure changes to a challenge file are re-applied to a new challenge
     */
    originalSteps: Map<string, any>;
    constructor(editor: Editor);
    stepTo(stepIndex: number, data: any): void;
    reset(): void;
    dispose(): void;
}
